using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ChartExample.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult LineAndBarChart()
        {
            var dane = new Dictionary<string, string[]>
            {
                { "Panstwa", new string[] { "Czechy", "Dania", "Francja", "Grecja", "Hiszpania", "Holandia", "Niemcy", "Norwegia", "Polska"} }, //, "Szwajcaria", "Szwecja", "Wielka Brytania", "Włochy" } },
                { "Powierzchnia", new string[] { "7886600", "4309400", "67541700", "13194000", "50464500", "4152600", "35711400", "32422000", "31267900"} }, //, "4129000", "44996400", "24482000", "30130000" } },
                { "LiczbaLudnosci", new string[] { "10425000", "5484723", "63753140", "11216708", "46157822", "16418246", "82060000", "4769000", "38139000"} } //, "7554661", "9196227", "60975000", "59418550" } }
            };

            return View(dane);
        }

        public ActionResult PieChart()
        {
            return View();
        }
    }
}
